#!/usr/bin/perl
use strict;
use warnings;
use v5.10;
use JSON; # imports encode_json, decode_json, to_json and from_json.

my $lns = qx(hp-probe --bus=cups);
my @lines = split m/[\n\r]+/, $lns;
my @printers;
for (@lines){
    if(m/^\s*(hp\w*:\S+)\s+(\w+)\s*$/){
        push @printers, {uri => $1, model => $2};
    }
}

my $printer_json = encode_json \@printers;
if(open(my $file, '>', 'printerlist.json')){
    print $file $printer_json;
    close($file);
}

